Requirements for OmniFind Enterprise Edition and OmniFind Starter Edition Version 9.1

Product documentation


Abstract

This page provides detailed software and hardware requirements for OmniFind Enterprise Edition Version 9.1 and OmniFind Starter Edition Version 9.1.

This page describes the minimum product level prerequisites that you need to install. Because other products frequently ship fixes, updates, and new releases, OmniFind Enterprise Edition cannot be tested with every possible configuration. In general, you can install updates to supported product releases, such as fix packs, if the updates are compatible with later versions. Significant new product versions are not necessarily supported unless they are specified below.

Content

Links to different versions of Omnifind Enterprise Edition system requirements


Legend
Icon Description
Supported Supported
Δ Added or changed information since the last release, modification, or fix pack. This mark in the far left column indicates new or changed information in the row. This mark in a particular cell within a row further identifies a specific change within an existing row.
x86 Intel 32-bit processors, including IBM System x, eServer xSeries, and BladeCenter servers.
x86-64 64-bit AMD Opteron (AMD64) and Intel Xeon (EM64T) processors, including IBM System x and BladeCenter servers.
SPARC Sun SPARC-based processors.
POWER IBM POWER-based processors, including IBM System p, eServer pSeries, System i and eServer iSeries servers.
IA64 64-bit Intel Itanium 2 processors including HP Integrity Servers.


Operating system

The following table specifies the operating system for any computer on which you install the OmniFind Enterprise Edition server components. In a multiple server installation, all servers must run the same operating system.

Operating system (Required) Hardware platform: Notes
x86
x86-64
POWER
SPARC zSeries
   AIX 5.3 (64-bit, TL 5300-06 or later)
Supported on POWER
Minimum: One 2-way pSeries computer.

Requires the runtime for IBM XL C++ for AIX, V10.1.02 or later (xlC.aix.rte). To download, see the Runtime for IBM XL C++ for AIX download document.
AIX 6.1 (64-bit)
Supported on POWER
Minimum: One 2-way pSeries computer.

Requires the runtime for IBM XL C++ for AIX, V10.1.02 or later (xlC.aix.rte). To download, see the Runtime for IBM XL C++ for AIX download document.
Δ AIX 7.1 (64-bit)
Supported on POWER
Requires OmniFind Enterprise Edition V9.1 Fix Pack 2.

Supported for fresh installations only. Ignore the unsupported operating system warning, as described in Problems and solutions in OmniFind Enterprise Edition Version 9.1 Fix Pack 2.

Minimum: One 2-way pSeries computer.

Requires the runtime for IBM XL C++ for AIX, V10.1.02 or later (xlC.aix.rte). To download, see the Runtime for IBM XL C++ for AIX download document.
Δ Red Hat Enterprise Linux Advanced Server 5 (32-bit)
Supported on x86
Supported on x86-64
Minimum: One computer with two or more 32-bit processors (Intel Pentium processor at 2GHz or faster, AMD Opteron, 32-bit kernel support only, or Intel EM64T, 32-bit kernel support only).

*Requires packages. Refer to the list of required packages for details.

High availability is not supported.
Δ Red Hat Enterprise Linux Advanced Server 5 (64-bit)
Supported on x86-64
Supported for fresh installations only.

Minimum: One computer with two or more 64-bit processors (AMD Opteron, 64-bit kernel support only, or Intel EM64T, 64-bit kernel support only).

*Requires packages. Refer to the list of required packages for details.

High availability is not supported.
Δ Red Hat Enterprise Linux Advanced Server 5.3 (64-bit)
Supported on zSeries
Supported only for fresh installations on a single server with two or more 64-bit processors.

The following features are not supported:
- High availability
- Thumbnail generation

Support is limited to the following data sources:
- Web
- File systems
- IBM DB2 databases

If you install OmniFind Enterprise Edition Version 9.1 Fix Pack 2, the following data sources are also supported:
- SharePoint
- EMC/ Documentum

*Requires packages. Refer to the list of required packages for details.
Δ Red Hat Enterprise Linux Advanced Server 6 (64-bit)
Supported on x86-64
Requires OmniFind Enterprise Edition V9.1 Fix Pack 2.

Supported for fresh installations only. Ignore the unsupported operating system warning, as described in Problems and solutions in OmniFind Enterprise Edition Version 9.1 Fix Pack 2.

Minimum: One computer with two or more 64-bit processors (AMD Opteron, 64-bit kernel support only, or Intel EM64T, 64-bit kernel support only).

*Requires packages. Refer to the list of required packages for details.

High availability is not supported.
Δ Novell SUSE Linux Enterprise Server 10 (32-bit)
Supported on x86
Supported on x86-64
Minimum: One computer with two or more 32-bit processors (Intel Pentium processor at 2GHz or faster, AMD Opteron, 32-bit kernel support only, or Intel EM64T, 32-bit kernel support only).

High availability is not supported.
Δ Novell SUSE Linux Enterprise Server 10 (64-bit)
Supported on x86-64
Supported for fresh installations only.

Minimum: One computer with two or more 64-bit processors (AMD Opteron, 64-bit kernel support only, or Intel EM64T, 64-bit kernel support only).

High availability is not supported.
Δ Novell SUSE Linux Enterprise Server 11 (32-bit)
Supported on x86
Supported on x86-64
Minimum: One computer with two or more 32-bit processors (Intel Pentium processor at 2GHz or faster, AMD Opteron, 32-bit kernel support only, or Intel EM64T, 32-bit kernel support only).

Requires the compat-libstdc++ package.

High availability is not supported.
Δ Novell SUSE Linux Enterprise Server 11 (64-bit)
Supported on x86-64
Supported for fresh installations only.

Minimum: One computer with two or more 64-bit processors (AMD Opteron, 64-bit kernel support only, or Intel EM64T, 64-bit kernel support only).

Requires the compat-libstdc++ package.

High availability is not supported.
Δ Novell SUSE Linux Enterprise Server 11 (64-bit)
Supported on zSeries
Requires OmniFind Enterprise Edition V9.1 Fix Pack 2.

Supported only for fresh installations on a single server with two or more 64-bit processors.

Requires the compat-libstdc++ package.

The following features are not supported:
- High availability
- Thumbnail generation

Support is limited to the following data sources:
- Web
- File systems
- IBM DB2 databases
- SharePoint
- EMC/ Documentum
Solaris 10 (64-bit)
Supported on SPARC
Minimum: One 2-way Sun Sparc computer.

High availability is not supported.
Microsoft Windows Server 2003 Enterprise with SP2 (32-bit)
Supported on x86
Minimum: One computer with two or more Intel 32-bit or AMD 32-bit processors.
Microsoft Windows Server 2003 R2 Enterprise with SP2 (32-bit)
Supported on x86
Minimum: One computer with two or more Intel 32-bit or AMD 32-bit processors.
Microsoft Windows Server 2008 Standard with SP2 (64-bit)
Supported on x86-64
Supported for fresh installations only.

Minimum: One computer with two or more 64-bit processors (AMD Opteron, 64-bit kernel support only, or Intel EM64T, 64-bit kernel support only).
Microsoft Windows Server 2008 Enterprise with SP2 (64-bit)
Supported on x86-64
Supported for fresh installations only.

Minimum: One computer with two or more 64-bit processors (AMD Opteron, 64-bit kernel support only, or Intel EM64T, 64-bit kernel support only).
Microsoft Windows Server 2008 R2 Standard (64-bit)
Supported on x86-64
Supported for fresh installations only.

Minimum: One computer with two or more 64-bit processors (AMD Opteron, 64-bit kernel support only, or Intel EM64T, 64-bit kernel support only).
Microsoft Windows Server 2008 R2 Enterprise (64-bit)
Supported on x86-64
Supported for fresh installations only.

Minimum: One computer with two or more 64-bit processors (AMD Opteron, 64-bit kernel support only, or Intel EM64T, 64-bit kernel support only).
Microsoft Windows Server 2008 R2 Standard with SP1 (64-bit)
Supported on x86-64
Requires OmniFind Enterprise Edition V9.1 Fix Pack 2.

Supported for fresh installations only.

Minimum: One computer with two or more 64-bit processors (AMD Opteron, 64-bit kernel support only, or Intel EM64T, 64-bit kernel support only).
Δ Microsoft Windows Server 2008 R2 Enterprise with SP1 (64-bit)
Supported on x86-64
Requires OmniFind Enterprise Edition V9.1 Fix Pack 2.

Supported for fresh installations only.

Minimum: One computer with two or more 64-bit processors (AMD Opteron, 64-bit kernel support only, or Intel EM64T, 64-bit kernel support only).

*The following packages are required: compat-libstdc++-33.i686, libstdc++.i686, zlib-devel.i686, libXext.i686, libXft.i686, libXi.i686, libXp.i686, and libXtst.i686.


Disk space

The following table specifies the minimum disk space required to install the IBM OmniFind Enterprise Edition server software. The disk space requirements for running an OmniFind Enterprise Edition system can vary and depend on the number of documents to be crawled, the types of data sources to be crawled, and how documents are parsed, indexed, and queried. Disk space requirements are also influenced by how regularly you build and update indexes.


For a multiple server configuration, the space requirements affect the index server. The ES_NODE_ROOT directory requires the most disk space on your system.

For assistance with minimizing the amount of space required for data that is stored by the DB2 crawler, see Configuring the DB2 crawler to minimize disk space requirements.

Disk space (minimum) Operating system: Notes
AIX
Linux
Solaris
Win
2000 MB for the OmniFind Enterprise Edition software, plus 1800 MB of temporary disk space
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows
This is the minimum required to install the software. More space is needed to run an OmniFind Enterprise Edition system.

Memory

The RAM specifications in the following table reflect basic server requirements for an OmniFind Enterprise Edition system.

RAM (minimum) Operating system: Notes
AIX
Linux
Solaris
Win
   4 GB, plus 4 GB paging space
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows
Suitable for a small, entry-level solution (one document processor and up to 100 MB of data).
8 GB, plus 8 GB paging space
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows
Suitable for a medium solution (two document processors and up to 1 GB of data).
16 GB, plus 16 GB paging space
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows
Suitable for a large solution (four document processors and up to 10 GB of data).

Processor

The CPU specifications in the following table reflect the minimum requirements for small, medium, and large installations. Actual system requirements depend on the number of active collections and your performance requirements.

Processor Operating system: Notes
AIX
Linux
Solaris
Win
1 or 2 processors per server
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows
Suitable for a small, entry-level solution (one document processor and up to 100 MB of data).
2 or 4 processors per server
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows
Suitable for a medium solution (two document processors and up to 1 GB of data).
At least 4 processors per server
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows
Suitable for a large solution (four document processors and up to 10 GB of data).

Web application server

IBM OmniFind Enterprise Edition requires one of the following web application servers to run the search application. Even if you run the search application on WebSphere Application Server, the embedded Jetty web application server is required for certain functions. For example, the Jetty server is used for administration, monitoring, and providing the search functions for both search collections and classic search collections.

Web application server (required) Operating system: Notes
AIX
Linux
Solaris
Win
   Jetty 6.1.22 (32-bit or 64-bit)
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows
Automatically installed by the OmniFind Enterprise Edition installation program.
WebSphere Application Server 6.1, base edition (32-bit)
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows
Also requires IBM HTTP Server 6.1 and WebSphere Application Server 6.1 plug-ins.

Not supported on Linux on System z.
WebSphere Application Server 6.1, base edition (64-bit)
Supported on AIX
Also requires IBM HTTP Server 7.0 and WebSphere Application Server 7.0 plug-ins.
WebSphere Application Server 7.0.0.3 or later, base edition (32-bit or 64-bit)
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows
WebSphere Application Server 7 is included in the OmniFind Enterprise Edition distribution package. You must also install Fix Pack 3 or later.

Also requires IBM HTTP Server 7.0 and WebSphere Application Server 7.0 plug-ins.
WebSphere Application Server Network Deployment 7.0.0.3 or later (32-bit or 64-bit)
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows
Also requires IBM HTTP Server 7.0 and WebSphere Application Server 7.0 plug-ins.

Not supported on Linux on System z.

Clustering is not supported.

LDAP server

When you use Jetty as the application server, IBM OmniFind Enterprise Edition can be configured to authenticate users that are managed by one of the following Lightweight Directory Access Protocol (LDAP) servers:

LDAP server Operating system: Notes
AIX
Linux
Solaris
Win
   Lotus Domino Enterprise Server 7.0.0, 7.0.1, 7.0.2, 7.0.3, 7.0.4
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows
Domino Enterprise Server 8.0.0, 8.0.1, 8.0.2, 8.5.0, 8.5.1
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows
Windows Active Directory 2003
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows
Windows Active Directory 2008
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows
Δ Tivoli Directory Server 6.0, 6.1, 6.2, 6.3
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows

Browser

The following table specifies the browser software that you can use with the OmniFind Enterprise Edition administration console and sample search applications. Note that you must enable JavaScript in your browser.

The OmniFind Enterprise Edition clients are best viewed with a screen resolution of 1024 x 768 or higher. For the best performance, use Microsoft Internet Explorer 8.x or higher, or Mozilla Firefox 10 ESR.

Browser (product components) Operating system: Notes
AIX
Linux
Solaris
Win
   Microsoft Internet Explorer 6 Supported on Windows Supported only for classic search collections in the ESSearchApplication classic search application.
Microsoft Internet Explore 7 or 8 Supported on Windows
Δ Microsoft Internet Explorer 9 in IE 8 Compatibility Mode Supported on Windows Requires OmniFind Enterprise Edition 9.1 Fix Pack 3 or later.
Mozilla Firefox 3.5 or 3.6
Supported  on Linux
Supported on Windows Not supported on Linux on System z.
Mozilla Firefox 8
Supported  on Linux
Supported on Windows Not supported on Linux on System z.
Δ Mozilla Firefox 10 ESR (Extended Support Release)
Supported  on Linux
Supported on Windows Requires OmniFind Enterprise Edition 9.1 Fix Pack 4 or later.

Not supported on Linux on System z.
Δ Mozilla Firefox 17 ESR (Extended Support Release)
Supported  on Linux
Supported on Windows Requires OmniFind Enterprise Edition 9.1 Fix Pack 5 or later.

Not supported on Linux on System z.

Browser Restrictions:

1. Firefox browsers newer than those listed in this table are supported on an as-is basis.

2. For issues with any browser version that is not listed in this table, IBM does not warrant that all code defects will be corrected. IBM will issue defect correction information, a restriction, or a bypass to IBM products if the defect is also applicable to one of the OmniFind Enterprise Edition supported browser versions. This determination may require that the problem be recreated by the client by using a browser version that is listed this table. If the problem does not occur or cannot be recreated in a supported browser version, it will not be considered an IBM product defect.


Product integrations

You can enhance your system by integrating IBM OmniFind Enterprise Edition with other products.

Integrated solution Operating system: Notes
AIX
Linux
Solaris
Win
IBM InfoSphere Classification Module 8.7
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows
Click here to download a no-charge, 90-day evaluation version of the Classification Module.

Not supported on Linux on System z.

Java environment

IBM OmniFind Enterprise Edition includes the 32-bit and 64-bit versions of Java Virtual Machine (JVM) 1.6.

The following table specifies the requirements for compiling Java applications. The Java SDK is not required to install an OmniFind Enterprise Edition system.

Before you can build Java applications, you must also install and configure Apache ANT, a Java-based build tool.

Java Operating system: Notes
AIX
Linux
Solaris
Win
IBM Software Development Kit for Java 5.0 (32-bit or 64-bit)
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows
IBM Software Development Kit for Java 6.0 (32-bit or 64-bit)
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows
Apache ANT 1.7
Supported on AIX
Supported  on Linux
Supported  on Solaris
Supported on Windows
See http://ant.apache.org/

LanguageWare Resource Workbench

IBM LanguageWare is a technology that provides a full range of text analysis functions. You can use IBM LanguageWare Resource Workbench with IBM OmniFind Enterprise Edition to implement custom linguistic processing, such as creating custom annotators. For information about adding support for additional languages, contact IBM Software Support.

LanguageWare Resource Workbench Operating system: Notes
AIX
Linux
Solaris
Win
   LanguageWare Resource Workbench 7.2.0.1 or later
Supported  on Linux
Supported on Windows
Requires OmniFind Enterprise Edition V9.1 Fix Pack 2.

For more information about LanguageWare, see Text Analytics Tools and Runtime for IBM LanguageWare.
Δ LanguageWare Resource Workbench 7.2 Fix Pack 2
Supported  on Linux
Supported on Windows
Requires OmniFind Enterprise Edition V9.1 Fix Pack 3.

For more information about LanguageWare, see Text Analytics Tools and Runtime for IBM LanguageWare.

Change history

History Date Change
Version 9.1.0 June 2010 New
Version 9.1 Fix Pack 1 December 2010 Revised
Version 9.1 Fix Pack 2 April 2011 Revised
Version 9.1 Fix Pack 3 February 2012 Revised
Version 9.1 Fix Pack 4 September 2012 Revised

Related information

IBM InfoSphere Classification Module V8.7 requirements
OmniFind Enterprise Edition V9.1 Information Center
OmniFind Enterprise Edition V9.1 Release Notes

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

OmniFind Enterprise Edition

Software version:

9.1

Operating system(s):

AIX, Linux, Linux on System z, Solaris, Windows

Reference #:

7017874

Modified date:

2014-02-03

Translate my page

Machine Translation

Content navigation